"use strict";(self.webpackChunkgrafana=self.webpackChunkgrafana||[]).push([[1598],{67768:(e,a,s)=>{s.r(a),s.d(a,{plugin:()=>qa});var l,r,n,t,i,o,u,c,d,h=s(23214),p=s(82897),m=s(68404),g=s(31181),x=s(45916);function v(e,a,s){return a in e?Object.defineProperty(e,a,{value:s,enumerable:!0,configurable:!0,writable:!0}):e[a]=s,e}const y=['{job="default/prometheus"}'],b=["job","app","k8s_app"],j=[{title:"Log pipeline",expression:'{job="mysql"} |= "metrics" | logfmt | duration > 10s',label:'This query targets the MySQL job, keeps logs that contain the substring "metrics", and then parses and filters the logs further.'},{title:"Count over time",expression:'count_over_time({job="mysql"}[5m])',label:"This query counts all the log lines within the last five minutes for the MySQL job."},{title:"Rate",expression:'rate(({job="mysql"} |= "error" != "timeout")[10s])',label:"This query gets the per-second rate of all non-timeout errors within the last ten seconds for the MySQL job."},{title:"Aggregate, count, and group",expression:'sum(count_over_time({job="mysql"}[5m])) by (level)',label:"Get the count of logs during the last five minutes, grouping by level."}];class f extends m.PureComponent{constructor(){super(...arguments),v(this,"state",{userExamples:[]}),v(this,"checkUserLabels",(async()=>{var e;const a=null===(e=this.props.datasource)||void 0===e?void 0:e.languageProvider;if(a.started){const e=a.getLabelKeys()||[],s=b.find((a=>e.includes(a)));if(s){const e=await a.getLabelValues(s),l=(0,p.shuffle)(e).slice(0,5).map((e=>`{${s}="${e}"}`));this.setState({userExamples:l})}}else this.scheduleUserLabelChecking()}))}componentDidMount(){this.scheduleUserLabelChecking(),(0,g.ff)("grafana_loki_cheatsheet_opened",{})}componentWillUnmount(){clearTimeout(this.userLabelTimer)}scheduleUserLabelChecking(){this.userLabelTimer=setTimeout(this.checkUserLabels,1e3)}renderExpression(e){const{onClickExample:a}=this.props;return(0,x.jsx)("div",{className:"cheat-sheet-item__example",onClick:s=>(a({refId:"A",expr:e}),void(0,g.ff)("grafana_loki_cheatsheet_example_clicked",{})),children:(0,x.jsx)("code",{children:e})},e)}render(){const{userExamples:e}=this.state,a=e.length>0;return(0,x.jsxs)("div",{children:[l||(l=(0,x.jsx)("h2",{children:"Loki Cheat Sheet"})),(0,x.jsxs)("div",{className:"cheat-sheet-item",children:[r||(r=(0,x.jsx)("div",{className:"cheat-sheet-item__title",children:"See your logs"})),n||(n=(0,x.jsx)("div",{className:"cheat-sheet-item__label",children:"Start by selecting a log stream from the Label browser, or alternatively you can write a stream selector into the query field."})),a?(0,x.jsxs)("div",{children:[t||(t=(0,x.jsx)("div",{className:"cheat-sheet-item__label",children:"Here are some example streams from your logs:"})),e.map((e=>this.renderExpression(e)))]}):(0,x.jsxs)("div",{children:[i||(i=(0,x.jsx)("div",{className:"cheat-sheet-item__label",children:"Here is an example of a log stream:"})),this.renderExpression(y[0])]})]}),(0,x.jsxs)("div",{className:"cheat-sheet-item",children:[o||(o=(0,x.jsx)("div",{className:"cheat-sheet-item__title",children:"Combine stream selectors"})),this.renderExpression('{app="cassandra",namespace="prod"}'),u||(u=(0,x.jsx)("div",{className:"cheat-sheet-item__label",children:"Returns all log lines from streams that have both labels."}))]}),(0,x.jsxs)("div",{className:"cheat-sheet-item",children:[c||(c=(0,x.jsx)("div",{className:"cheat-sheet-item__title",children:"Filtering for search terms."})),this.renderExpression('{app="cassandra"} |~ "(duration|latency)s*(=|is|of)s*[d.]+"'),this.renderExpression('{app="cassandra"} |= "exact match"'),this.renderExpression('{app="cassandra"} != "do not match"'),d||(d=(0,x.jsxs)("div",{className:"cheat-sheet-item__label",children:[(0,x.jsx)("a",{href:"https://grafana.com/docs/loki/latest/logql/#log-pipeline",target:"logql",children:"LogQL"})," ","supports exact and regular expression filters."]}))]}),j.map((e=>(0,x.jsxs)("div",{className:"cheat-sheet-item",children:[(0,x.jsx)("div",{className:"cheat-sheet-item__title",children:e.title}),this.renderExpression(e.expression),(0,x.jsx)("div",{className:"cheat-sheet-item__label",children:e.label})]},e.expression)))]})}}var C=s(54316),w=s(28173),q=s(25004),L=s(68522),N=s(2024),k=s(8006),E=s(85477),Q=s(41303),_=s(28933),S=s(47322),O=s(23067),R=s(67725),F=s(45178),M=s(12717),P=s(86351),V=s(70917);function T(e){var a;let{item:s,defaultOp:l,onChange:r,onDelete:n,onGetLabelNames:t,onGetLabelValues:i,invalidLabel:o,invalidValue:u}=e;const[c,d]=(0,m.useState)({}),h=function(){var e;let a=arguments.length>0&&void 0!==arguments[0]?arguments[0]:s.op;return null===(e=D.find((e=>e.label===a)))||void 0===e?void 0:e.isMultiValue},g=e=>e?e.indexOf("|")>0?e.split("|"):[e]:[];return(0,x.jsx)("div",{"data-testid":"prometheus-dimensions-filter-item",children:(0,x.jsxs)(L.InputGroup,{children:[(0,x.jsx)(V.Ph,{placeholder:"Select label","aria-label":q.wl.components.QueryBuilder.labelSelect,inputId:"prometheus-dimensions-filter-item-key",width:"auto",value:s.label?(0,P.E)(s.label):null,allowCustomValue:!0,onOpenMenu:async()=>{d({isLoadingLabelNames:!0});const e=await t(s);d({labelNames:e,isLoadingLabelNames:void 0})},isLoading:c.isLoadingLabelNames,options:c.labelNames,onChange:e=>{var a;e.label&&r(Object.assign({},s,{op:null!==(a=s.op)&&void 0!==a?a:l,label:e.label}))},invalid:o}),(0,x.jsx)(V.Ph,{"aria-label":q.wl.components.QueryBuilder.matchOperatorSelect,value:(0,P.E)(null!==(a=s.op)&&void 0!==a?a:l),options:D,width:"auto",onChange:e=>{null!=e.value&&r(Object.assign({},s,{op:e.value,value:h(e.value)?s.value:g(null==s?void 0:s.value)[0]}))}}),(0,x.jsx)(V.Ph,{placeholder:"Select value","aria-label":q.wl.components.QueryBuilder.valueSelect,inputId:"prometheus-dimensions-filter-item-value",width:"auto",value:h()?g(null==s?void 0:s.value).map(P.E):g(null==s?void 0:s.value).map(P.E)[0],allowCustomValue:!0,onOpenMenu:async()=>{d({isLoadingLabelValues:!0});const e=await i(s);d(Object.assign({},c,{labelValues:e,isLoadingLabelValues:void 0}))},isMulti:h(),isLoading:c.isLoadingLabelValues,options:(()=>{const e=c.labelValues?[...c.labelValues]:[],a=g(null==s?void 0:s.value).map(P.E);return(0,p.uniqBy)([...a,...e],"value")})(),onChange:e=>{if(e.value){var a;r(Object.assign({},s,{value:e.value,op:null!==(a=s.op)&&void 0!==a?a:l}))}else{var n;const a=e.map((e=>e.label)).join("|");r(Object.assign({},s,{value:a,op:null!==(n=s.op)&&void 0!==n?n:l}))}},invalid:u}),(0,x.jsx)(L.AccessoryButton,{"aria-label":"remove",icon:"times",variant:"secondary",onClick:n})]})})}const D=[{label:"=~",value:"=~",isMultiValue:!0},{label:"=",value:"=",isMultiValue:!1},{label:"!=",value:"!=",isMultiValue:!1},{label:"!~",value:"!~",isMultiValue:!0}];function U(e){let{labelsFilters:a,onChange:s,onGetLabelNames:l,onGetLabelValues:r,labelFilterRequired:n}=e;const[t,i]=(0,m.useState)([{op:"="}]);(0,m.useEffect)((()=>{a.length>0?i(a):i([{op:"="}])}),[a]);const o=t.some((e=>e.label&&e.value));return(0,x.jsx)(L.EditorFieldGroup,{children:(0,x.jsx)(L.EditorField,{label:"Label filters",error:"Select at least 1 label filter (label and value)",invalid:n&&!o,children:(0,x.jsx)(L.EditorList,{items:t,onChange:e=>{i(e);const l=e.filter((e=>null!=e.label&&null!=e.value));(0,p.isEqual)(l,a)||s(l)},renderItem:(e,a,s)=>(0,x.jsx)(T,{item:e,defaultOp:"=",onChange:a,onDelete:s,onGetLabelNames:l,onGetLabelValues:r,invalidLabel:n&&!e.label,invalidValue:n&&!e.value})})})})}var W=s(7035),$=s(72339),z=s(62287),B=s(1865),I=s(21787),G=s(20038),H=s(87953),A=s(70039),Z=s(84899);const K="Fetch all log lines matching label filters.",Y=m.memo((e=>{let{query:a}=e;const s=(0,F._)(a||"").query,l={grammar:A.xY,name:"lokiql"};return(0,x.jsxs)(L.Stack,{gap:0,direction:"column",children:[(0,x.jsx)(W.B,{stepNumber:1,title:(0,x.jsx)(G.U,{query:`${R.y.renderLabels(s.labels)}`,lang:l}),children:K}),(0,x.jsx)(z.V,{stepNumber:2,queryModeller:R.y,query:s,lang:l})]})}));Y.displayName="LokiQueryBuilderExplained";var J,X=s(52423),ee=s(16755),ae=s(13910),se=s(23734),le=s(67313);const re=m.memo((e=>{let{nestedQuery:a,index:s,datasource:l,onChange:r,onRemove:n,onRunQuery:t,showExplain:i}=e;const o=(0,ee.wW)(te);return(0,x.jsxs)("div",{className:o.card,children:[(0,x.jsxs)("div",{className:o.header,children:[(0,x.jsx)("div",{className:o.name,children:"Operator"}),(0,x.jsx)(V.Ph,{"aria-label":"Select operator",width:"auto",options:ne,value:(0,P.E)(a.operator),onChange:e=>{r(s,Object.assign({},a,{operator:e.value}))}}),(0,x.jsx)("div",{className:o.name,children:"Vector matches"}),(0,x.jsxs)("div",{className:o.vectorMatchWrapper,children:[(0,x.jsx)(V.Ph,{width:"auto",value:a.vectorMatchesType||"on",allowCustomValue:!0,options:[{value:"on",label:"on"},{value:"ignoring",label:"ignoring"}],onChange:e=>{r(s,Object.assign({},a,{vectorMatchesType:e.value}))}}),(0,x.jsx)(ae.H,{className:o.vectorMatchInput,minWidth:20,defaultValue:a.vectorMatches,onCommitChange:e=>{r(s,Object.assign({},a,{vectorMatches:e.currentTarget.value,vectorMatchesType:a.vectorMatchesType||"on"}))}})]}),J||(J=(0,x.jsx)(L.FlexItem,{grow:1})),(0,x.jsx)(se.h,{ariaLabel:"Remove nested query",name:"times",size:"sm",onClick:()=>n(s)})]}),(0,x.jsx)("div",{className:o.body,children:(0,x.jsx)(L.EditorRows,{children:(0,x.jsx)(oe,{showExplain:i,query:a.query,datasource:l,onRunQuery:t,onChange:e=>{r(s,Object.assign({},a,{query:e}))}})})})]})})),ne=le.i.map((e=>({label:e.sign,value:e.sign})));re.displayName="NestedQuery";const te=e=>({card:(0,X.css)({label:"card",display:"flex",flexDirection:"column",gap:e.spacing(.5)}),header:(0,X.css)({label:"header",padding:e.spacing(.5,.5,.5,1),gap:e.spacing(1),display:"flex",alignItems:"center"}),name:(0,X.css)({label:"name",whiteSpace:"nowrap"}),body:(0,X.css)({label:"body",paddingLeft:e.spacing(2)}),vectorMatchInput:(0,X.css)({label:"vectorMatchInput",marginLeft:-1}),vectorMatchWrapper:(0,X.css)({label:"vectorMatchWrapper",display:"flex"})});function ie(e){var a;let{query:s,datasource:l,onChange:r,onRunQuery:n,showExplain:t}=e;const i=null!==(a=s.binaryQueries)&&void 0!==a?a:[],o=(e,a)=>{const l=[...i];l.splice(e,1,a),r(Object.assign({},s,{binaryQueries:l}))},u=e=>{const a=[...i.slice(0,e),...i.slice(e+1)];r(Object.assign({},s,{binaryQueries:a}))};return(0,x.jsx)(L.Stack,{direction:"column",gap:1,children:i.map(((e,a)=>(0,x.jsx)(re,{nestedQuery:e,index:a,onChange:o,datasource:l,onRemove:u,onRunQuery:n,showExplain:t},a.toString())))})}const oe=m.memo((e=>{let{datasource:a,query:s,onChange:l,onRunQuery:r,showExplain:n}=e;const[t,i]=(0,m.useState)(),[o,u]=(0,m.useState)(void 0),c=async e=>{const s=await e;return[...a.getVariables(),...s].map((e=>({label:e,value:e})))},d=(0,m.useMemo)((()=>{const{labels:e,operations:a}=s;return!(e.length||!a.length)&&(1!==a.length||a[0].id!==Z.B5.LineContains||""!==a[0].params[0])}),[s]);(0,m.useEffect)((()=>{(async()=>{const e={expr:R.y.renderQuery(s),refId:"data-samples"},l={series:await a.getDataSamples(e),state:w.Gu.Done,timeRange:(0,M.JK)()};i(l)})().catch(console.error)}),[a,s]);const h={grammar:A.ZP,name:"logql"};return(0,x.jsxs)("div",{"data-testid":Ve.editor,children:[(0,x.jsx)(L.EditorRow,{children:(0,x.jsx)(U,{onGetLabelNames:e=>c((async e=>{const l=s.labels.filter((a=>a!==e));if(0===l.length)return await a.languageProvider.refreshLogLabels(),a.languageProvider.getLabelKeys();const r=R.y.renderLabels(l),n=await a.languageProvider.fetchSeriesLabels(r),t=l.map((e=>e.label));return Object.keys(n).filter((e=>!t.includes(e))).sort()})(e)),onGetLabelValues:e=>c((async e=>{if(!e.label)return[];let l;const r=s.labels.filter((a=>a!==e));if(0===r.length)l=await a.languageProvider.fetchLabelValues(e.label);else{const s=R.y.renderLabels(r);l=(await a.languageProvider.fetchSeriesLabels(s))[a.interpolateString(e.label)]}return l?l.map((a=>(0,H.Hk)(a,e.op))):[]})(e)),labelsFilters:s.labels,onChange:e=>{l(Object.assign({},s,{labels:e}))},labelFilterRequired:d})}),n&&(0,x.jsx)(W.B,{stepNumber:1,title:(0,x.jsx)(G.U,{query:`${R.y.renderLabels(s.labels)}`,lang:h}),children:K}),(0,x.jsxs)(B.B,{children:[(0,x.jsx)($.P,{queryModeller:R.y,query:s,onChange:l,onRunQuery:r,datasource:a,highlightedOp:o}),(0,x.jsx)(I.L,{datasource:a,query:s,onChange:l,data:t,queryModeller:R.y,buildVisualQueryFromString:F._})]}),n&&(0,x.jsx)(z.V,{stepNumber:2,queryModeller:R.y,query:s,lang:h,onMouseEnter:e=>{u(e)},onMouseLeave:()=>{u(void 0)}}),s.binaryQueries&&s.binaryQueries.length>0&&(0,x.jsx)(ie,{query:s,datasource:a,onChange:l,onRunQuery:r,showExplain:n})]})}));function ue(e){let{query:a}=e;return(0,x.jsx)(L.EditorRow,{children:(0,x.jsx)(L.EditorFieldGroup,{children:(0,x.jsx)(L.EditorField,{label:"Raw query",children:(0,x.jsx)(G.U,{query:a,lang:{grammar:A.xY,name:"lokiql"}})})})})}function ce(e){const{query:a,onChange:s,onRunQuery:l,datasource:r,showRawQuery:n,showExplain:t}=e,[i,o]=(0,m.useReducer)(de.reducer,{expr:a.expr,visQuery:""===a.expr?{labels:[],operations:[{id:"__line_contains",params:[""]}]}:void 0});(0,m.useEffect)((()=>{o(pe(a.expr))}),[a.expr]);return i.visQuery?(0,x.jsxs)(x.Fragment,{children:[(0,x.jsx)(oe,{query:i.visQuery,datasource:r,onChange:a=>{const l=R.y.renderQuery(a);o(he({visQuery:a,expr:l})),s(Object.assign({},e.query,{expr:l}))},onRunQuery:l,showExplain:t,"data-testid":Ve.editor}),n&&(0,x.jsx)(ue,{query:a.expr})]}):null}oe.displayName="LokiQueryBuilder";const de=(0,O.oM)({name:"loki-builder-container",initialState:{expr:""},reducers:{visualQueryChange:(e,a)=>{e.expr=a.payload.expr,e.visQuery=a.payload.visQuery},exprChanged:(e,a)=>{if(!e.visQuery||e.expr!==a.payload){e.expr=a.payload;const s=(0,F._)(a.payload);e.visQuery=s.query}}}}),{visualQueryChange:he,exprChanged:pe}=de.actions;var me=s(37625),ge=s(47992),xe=s(68823),ve=s(42109),ye=s(51668);const be=m.memo((e=>{var a,s,l;let{app:r,query:n,onChange:t,onRunQuery:i}=e;let o=null!==(a=n.queryType)&&void 0!==a?a:n.instant?ye.EM.Instant:ye.EM.Range,u=(0,ve.rE)(n.expr);return(0,x.jsx)(L.EditorRow,{children:(0,x.jsxs)(ge.d,{title:"Options",collapsedInfo:je(n,o,u),children:[(0,x.jsx)(L.EditorField,{label:"Legend",tooltip:"Series name override or template. Ex. {{hostname}} will be replaced with label value for hostname.",children:(0,x.jsx)(ae.H,{placeholder:"{{label}}",id:"loki-query-editor-legend-format",type:"string",minWidth:14,defaultValue:n.legendFormat,onCommitChange:e=>{t(Object.assign({},n,{legendFormat:e.currentTarget.value})),i()}})}),(0,x.jsx)(L.EditorField,{label:"Type",children:(0,x.jsx)(me.S,{options:xe.uG,value:o,onChange:e=>{t(Object.assign({},n,{queryType:e})),i()}})}),u&&(0,x.jsx)(L.EditorField,{label:"Line limit",tooltip:"Upper limit for number of log lines returned by query.",children:(0,x.jsx)(ae.H,{className:"width-4",placeholder:"auto",type:"number",min:0,defaultValue:null!==(s=null===(l=n.maxLines)||void 0===l?void 0:l.toString())&&void 0!==s?s:"",onCommitChange:function(e){const a=(0,xe.Wz)(e.currentTarget.value);n.maxLines!==a&&(t(Object.assign({},n,{maxLines:a})),i())}})}),(0,x.jsx)(L.EditorField,{label:"Resolution",children:(0,x.jsx)(V.Ph,{isSearchable:!1,onChange:e=>{(0,g.ff)("grafana_loki_resolution_clicked",{app:r,resolution:e.value}),t(Object.assign({},n,{resolution:e.value})),i()},options:xe.oZ,value:n.resolution||1,"aria-label":"Select resolution"})})]})})}));function je(e,a,s){const l=xe.uG.find((e=>e.value===a)),r=xe.oZ.find((a=>{var s;return a.value===(null!==(s=e.resolution)&&void 0!==s?s:1)})),n=[];return e.legendFormat&&n.push(`Legend: ${e.legendFormat}`),e.resolution&&n.push(`Resolution: ${null==r?void 0:r.label}`),n.push(`Type: ${null==l?void 0:l.label}`),s&&e.maxLines&&n.push(`Line limit: ${e.maxLines}`),n}be.displayName="LokiQueryBuilderOptions";var fe=s(90533);function Ce(e){let{query:a,datasource:s,range:l,onRunQuery:r,onChange:n,data:t,app:i,showExplain:o,history:u}=e;const c=(0,ee.wW)(we),d=i===C.zj.Explore?()=>{}:void 0;return(0,x.jsxs)("div",{className:c.wrapper,children:[(0,x.jsx)(fe.n,{datasource:s,query:a,range:l,onRunQuery:r,onChange:n,onBlur:d,history:u,data:t,app:i,"data-testid":Ve.editor}),o&&(0,x.jsx)(Y,{query:a.expr})]})}const we=e=>({wrapper:X.css`
      .gf-form {
        margin-bottom: 0.5;
      }
    `});var qe=s(78941),Le=s(38595),Ne=s(52253),ke=s(1129);const Ee=e=>{const{pattern:a,onPatternSelect:s,hasNewQueryOption:l,hasPreviousQuery:r,selectedPatternName:n,setSelectedPatternName:t}=e,i=(0,ee.wW)(Qe),o={grammar:A.ZP,name:"logql"};return(0,x.jsxs)(ke.Z,{className:i.card,children:[(0,x.jsx)(ke.Z.Heading,{children:a.name}),(0,x.jsx)("div",{className:i.rawQueryContainer,children:(0,x.jsx)(G.U,{query:R.y.renderQuery({labels:[],operations:a.operations}),lang:o,className:i.rawQuery})}),(0,x.jsx)(ke.Z.Actions,{children:n!==a.name?(0,x.jsx)(k.zx,{size:"sm",onClick:()=>{r?t(a.name):s(a)},children:"Use this query"}):(0,x.jsxs)(x.Fragment,{children:[(0,x.jsx)("div",{className:i.spacing,children:`If you would like to use this query, ${l?"you can either replace your current query or create a new query":"your current query will be replaced"}.`}),(0,x.jsx)(k.zx,{size:"sm",fill:"outline",onClick:()=>t(null),children:"Back"}),(0,x.jsx)(k.zx,{size:"sm",onClick:()=>{s(a)},children:"Replace query"}),l&&(0,x.jsx)(k.zx,{size:"sm",onClick:()=>{s(a,!0)},children:"Create new query"})]})})]})},Qe=e=>({card:X.css`
      width: 49.5%;
      display: flex;
      flex-direction: column;
    `,rawQueryContainer:X.css`
      flex-grow: 1;
    `,rawQuery:X.css`
      background-color: ${e.colors.background.primary};
      padding: ${e.spacing(1)};
      margin-top: ${e.spacing(1)};
    `,spacing:X.css`
      margin-bottom: ${e.spacing(1)};
    `}),_e=e=>{const{isOpen:a,onClose:s,onChange:l,onAddQuery:r,query:n,queries:t,app:i}=e,[o,u]=(0,m.useState)([]),[c,d]=(0,m.useState)(null),h=(0,ee.wW)(Se),v=!!r,y=(0,m.useMemo)((()=>(0,F._)(n.expr).query.operations.length>0),[n.expr]),b=function(e){let a=arguments.length>1&&void 0!==arguments[1]&&arguments[1];const o=(0,F._)(a?"":n.expr);(0,g.ff)("grafana_loki_query_patterns_selected",{version:"v2",app:null!=i?i:"",editorMode:n.editorMode,selectedPattern:e.name,preSelectedOperationsCount:o.query.operations.length,preSelectedLabelsCount:o.query.labels.length,createNewQuery:v&&a}),o.query.operations=e.operations,v&&a?r(Object.assign({},n,{refId:(0,Ne.Hs)(null!=t?t:[n]),expr:R.y.renderQuery(o.query)})):l(Object.assign({},n,{expr:R.y.renderQuery(o.query)})),d(null),s()};return(0,x.jsxs)(qe.u,{isOpen:a,title:"Kick start your query",onDismiss:s,children:[(0,x.jsx)("div",{className:h.spacing,children:"Kick start your query by selecting one of these queries. You can then continue to complete your query."}),Object.values(Z.Hv).map((e=>(0,x.jsx)(Le.U,{label:`${(0,p.capitalize)(e)} query starters`,isOpen:o.includes(e),collapsible:!0,onToggle:()=>u((a=>a.includes(e)?a.filter((a=>a!==e)):[...a,e])),children:(0,x.jsx)("div",{className:h.cardsContainer,children:R.y.getQueryPatterns().filter((a=>a.type===e)).map((e=>(0,x.jsx)(Ee,{pattern:e,hasNewQueryOption:v,hasPreviousQuery:y,onPatternSelect:b,selectedPatternName:c,setSelectedPatternName:d},e.name)))})},e))),(0,x.jsx)(k.zx,{variant:"secondary",onClick:s,children:"Close"})]})},Se=e=>({cardsContainer:X.css`
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: space-between;
    `,spacing:X.css`
      margin-bottom: ${e.spacing(1)};
    `});var Oe=s(78130);const Re="LokiQueryEditorModeDefault";function Fe(e){if(null!=e&&""!==e)return _.c.Code;const a=Oe.Z.get(Re);switch(a){case _.c.Builder:case _.c.Code:return a;default:return _.c.Builder}}var Me,Pe;const Ve={editor:"loki-editor"},Te=m.memo((e=>{const{onChange:a,onRunQuery:s,onAddQuery:l,data:r,app:n,queries:t}=e,[i,o]=(0,m.useState)(!1),[u,c]=(0,m.useState)(!1),[d,h]=(0,m.useState)(!1),{flag:p,setFlag:v}=(0,S.P5)(S.iS),{flag:y,setFlag:b}=(0,S.P5)(S.J$,!0),j=function(e){let a=e;return e.editorMode||(a=Object.assign({},e,{editorMode:Fe(e.expr)})),null==e.expr&&(a=Object.assign({},a,{expr:""})),null==e.queryType&&(a=Object.assign({},a,{queryType:ye.EM.Range})),a}(e.query),f=j.editorMode,O=(0,m.useCallback)((e=>{var s;if((0,g.ff)("grafana_loki_editor_mode_clicked",{newEditor:e,previousEditor:null!==(s=j.editorMode)&&void 0!==s?s:"",newQuery:!j.expr,app:null!=n?n:""}),e===_.c.Builder){if((0,F._)(j.expr||"").errors.length)return void o(!0)}!function(e,a,s){""===e.expr&&Oe.Z.set(Re,a),s(Object.assign({},e,{editorMode:a}))}(j,e,a)}),[a,j,n]);(0,m.useEffect)((()=>{h(!1)}),[r]);const R=e=>{h(!0),a(e)};return(0,x.jsxs)(x.Fragment,{children:[(0,x.jsx)(N.s,{isOpen:i,title:"Query parsing",body:"There were errors while trying to parse the query. Continuing to visual builder may lose some parts of the query.",confirmText:"Continue",onConfirm:()=>{a(Object.assign({},j,{editorMode:_.c.Builder})),o(!1)},onDismiss:()=>o(!1)}),(0,x.jsx)(_e,{isOpen:u,onClose:()=>c(!1),query:j,queries:t,app:n,onChange:a,onAddQuery:l}),(0,x.jsxs)(L.EditorHeader,{children:[(0,x.jsx)(k.zx,{"aria-label":q.wl.components.QueryBuilder.queryPatterns,variant:"secondary",size:"sm",onClick:()=>{c((e=>!e));const e=(0,F._)(j.expr||"");(0,g.ff)("grafana_loki_query_patterns_opened",{version:"v2",app:null!=n?n:"",editorMode:j.editorMode,preSelectedOperationsCount:e.query.operations.length,preSelectedLabelsCount:e.query.labels.length})},children:"Kick start your query"}),(0,x.jsx)(Q.n,{label:"Explain",value:p,onChange:e=>{v(e.currentTarget.checked)}}),f===_.c.Builder&&(0,x.jsx)(x.Fragment,{children:(0,x.jsx)(Q.n,{label:"Raw query",value:y,onChange:e=>{const a=e.currentTarget.checked;b(a)}})}),Me||(Me=(0,x.jsx)(L.FlexItem,{grow:1})),n!==C.zj.Explore&&(0,x.jsx)(k.zx,{variant:d?"primary":"secondary",size:"sm",onClick:s,icon:(null==r?void 0:r.state)===w.Gu.Loading?"fa fa-spinner":void 0,disabled:(null==r?void 0:r.state)===w.Gu.Loading,children:"Run queries"}),(0,x.jsx)(E.k,{mode:f,onChange:O})]}),Pe||(Pe=(0,x.jsx)(L.Space,{v:.5})),(0,x.jsxs)(L.EditorRows,{children:[f===_.c.Code&&(0,x.jsx)(Ce,Object.assign({},e,{query:j,onChange:R,showExplain:p})),f===_.c.Builder&&(0,x.jsx)(ce,{datasource:e.datasource,query:j,onChange:R,onRunQuery:e.onRunQuery,showRawQuery:y,showExplain:p}),(0,x.jsx)(be,{query:j,onChange:a,onRunQuery:s,app:n})]})]})}));function De(e){const{query:a,data:s,datasource:l,onChange:r,onRunQuery:n,history:t}=e;return(0,x.jsx)(fe.n,{datasource:l,query:a,onChange:r,onRunQuery:n,onBlur:n,history:t,data:s,placeholder:"Enter a Loki query","data-testid":Ue.editor})}Te.displayName="LokiQueryEditor";const Ue={editor:"loki-editor-cloud-alerting"};function We(e){const{app:a}=e;return a===C.zj.CloudAlerting?(0,x.jsx)(De,Object.assign({},e)):(0,x.jsx)(Te,Object.assign({},e))}const $e=(0,m.memo)(We);var ze,Be=s(70332),Ie=s(65737),Ge=s(58582),He=s(46889),Ae=s(70800),Ze=s(42147),Ke=s(66827),Ye=s(66358),Je=s(9085),Xe=s.n(Je),ea=s(27843),aa=s(94582),sa=s(52777),la=s(1814);const{FormField:ra}=sa.vw6,na=e=>{const{derivedFields:a,className:s}=e,[l,r]=(0,m.useState)("");let n=[];return l&&a&&(n=function(e,a){return e.filter((e=>e.name&&e.matcherRegex)).map((e=>{try{const s=a.match(e.matcherRegex),l=s&&s[1];let r=null;e.url&&l&&(r=(0,la.a)({field:{name:"",type:ea.fS.string,values:new aa.G([l]),config:{links:[{title:"",url:e.url}]}},rowIndex:0,range:{}})[0]);return{name:e.name,value:l||"<no match>",href:r?r.href:void 0}}catch(a){return{name:e.name,error:a}}}))}(a,l)),(0,x.jsxs)("div",{className:s,children:[(0,x.jsx)(ra,{labelWidth:12,label:"Debug log message",inputEl:(0,x.jsx)("textarea",{placeholder:"Paste an example log line here to test the regular expressions of your derived fields",className:Xe()("gf-form-input gf-form-textarea",X.css`
                width: 100%;
              `),value:l,onChange:e=>r(e.currentTarget.value)})}),!!n.length&&(0,x.jsx)(ta,{fields:n})]})},ta=e=>{let{fields:a}=e;return(0,x.jsxs)("table",{className:"filter-table",children:[ze||(ze=(0,x.jsx)("thead",{children:(0,x.jsxs)("tr",{children:[(0,x.jsx)("th",{children:"Name"}),(0,x.jsx)("th",{children:"Value"}),(0,x.jsx)("th",{children:"Url"})]})})),(0,x.jsx)("tbody",{children:a.map((e=>{let a=e.value;return e.error&&e.error instanceof Error?a=e.error.message:e.href&&(a=(0,x.jsx)("a",{href:e.href,children:a})),(0,x.jsxs)("tr",{children:[(0,x.jsx)("td",{children:e.name}),(0,x.jsx)("td",{children:a}),(0,x.jsx)("td",{children:e.href?(0,x.jsx)("a",{href:e.href,children:e.href}):""})]},`${e.name}=${e.value}`)}))})]})};var ia=s(36345),oa=s(94570),ua=s(76920);const{Switch:ca,FormField:da}=sa.vw6,ha=e=>({row:X.css`
    display: flex;
    align-items: baseline;
  `,nameField:X.css`
    flex: 2;
  `,regexField:X.css`
    flex: 3;
  `,urlField:X.css`
    flex: 1;
    margin-right: ${e.spacing(.5)};
  `,urlDisplayLabelField:X.css`
    flex: 1;
  `}),pa=e=>{const{value:a,onChange:s,onDelete:l,suggestions:r,className:n}=e,t=(0,ee.wW)(ha),[i,o]=(0,m.useState)(!!a.datasourceUid),u=(0,ia.Z)(a.datasourceUid);(0,m.useEffect)((()=>{u||!a.datasourceUid||i||o(!0),u&&!a.datasourceUid&&i&&o(!1)}),[u,a.datasourceUid,i]);const c=e=>l=>{s(Object.assign({},a,{[e]:l.currentTarget.value}))};return(0,x.jsxs)("div",{className:n,"data-testid":"derived-field",children:[(0,x.jsxs)("div",{className:"gf-form",children:[(0,x.jsx)(da,{labelWidth:10,className:t.nameField,inputWidth:null,label:"Name",type:"text",value:a.name,onChange:c("name")}),(0,x.jsx)(da,{labelWidth:10,className:t.regexField,inputWidth:null,label:"Regex",type:"text",value:a.matcherRegex,onChange:c("matcherRegex"),tooltip:"Use to parse and capture some part of the log message. You can use the captured groups in the template."}),(0,x.jsx)(k.zx,{variant:"destructive",title:"Remove field",icon:"times",onClick:e=>{e.preventDefault(),l()}})]}),(0,x.jsxs)("div",{className:"gf-form",children:[(0,x.jsx)(da,{labelWidth:10,label:i?"Query":"URL",inputEl:(0,x.jsx)(ua.v,{placeholder:i?"${__value.raw}":"http://example.com/${__value.raw}",value:a.url||"",onChange:e=>s(Object.assign({},a,{url:e})),suggestions:r}),className:t.urlField}),(0,x.jsx)(da,{className:t.urlDisplayLabelField,labelWidth:10,inputWidth:null,label:"URL Label",type:"text",value:a.urlDisplayLabel,onChange:c("urlDisplayLabel"),tooltip:"Use to override the button label when this derived field is found in a log."})]}),(0,x.jsxs)("div",{className:t.row,children:[(0,x.jsx)(ca,{label:"Internal link",checked:i,onChange:()=>{i&&s(Object.assign({},a,{datasourceUid:void 0})),o(!i)}}),i&&(0,x.jsx)(oa.q,{tracing:!0,onChange:e=>s(Object.assign({},a,{datasourceUid:e.uid})),current:a.datasourceUid})]})]})};var ma;const ga=e=>{let{value:a=[],onChange:s}=e;const l=(e=>({infoText:X.css`
    padding-bottom: ${e.spacing(2)};
    color: ${e.colors.text.secondary};
  `,derivedField:X.css`
    margin-bottom: ${e.spacing(1)};
  `}))((0,ee.l4)()),[r,n]=(0,m.useState)(!1);return(0,x.jsxs)(x.Fragment,{children:[ma||(ma=(0,x.jsx)("h3",{className:"page-heading",children:"Derived fields"})),(0,x.jsx)("div",{className:l.infoText,children:"Derived fields can be used to extract new fields from a log message and create a link from its value."}),(0,x.jsxs)("div",{className:"gf-form-group",children:[a.map(((e,r)=>(0,x.jsx)(pa,{className:l.derivedField,value:e,onChange:e=>{const l=[...a];l.splice(r,1,e),s(l)},onDelete:()=>{const e=[...a];e.splice(r,1),s(e)},suggestions:[{value:Ke.W.valueRaw,label:"Raw value",documentation:"Exact string captured by the regular expression",origin:Ye.L.Value}]},r))),(0,x.jsxs)("div",{children:[(0,x.jsx)(k.zx,{variant:"secondary",className:X.css`
              margin-right: 10px;
            `,icon:"plus",onClick:e=>{e.preventDefault();const l=[...a,{name:"",matcherRegex:""}];s(l)},children:"Add"}),a.length>0&&(0,x.jsx)(k.zx,{variant:"secondary",type:"button",onClick:()=>n(!r),children:r?"Hide example log message":"Show example log message"})]})]}),r&&(0,x.jsx)("div",{className:"gf-form-group",children:(0,x.jsx)(na,{className:X.css`
              margin-bottom: 10px;
            `,derivedFields:a})})]})},{FormField:xa}=sa.vw6,va=e=>{const{value:a,onChange:s}=e;return(0,x.jsx)(xa,{label:"Maximum lines",labelWidth:11,inputWidth:20,inputEl:(0,x.jsx)("input",{type:"number",className:"gf-form-input width-8 gf-form-input--has-help-icon",value:a,onChange:e=>s(e.currentTarget.value),spellCheck:!1,placeholder:"1000"}),tooltip:(0,x.jsx)(x.Fragment,{children:"Loki queries must contain a limit of the maximum number of lines returned (default: 1000). Increase this limit to have a bigger result set for ad-hoc analysis. Decrease this limit if your browser becomes sluggish when displaying the log results."})})};var ya,ba;const ja=e=>(a,s)=>Object.assign({},a,{jsonData:Object.assign({},a.jsonData,{[e]:s})}),fa=ja("maxLines"),Ca=ja("derivedFields");var wa=s(50840);const qa=new h.hf(wa.KV).setQueryEditor($e).setConfigEditor((e=>{var a;const{options:s,onOptionsChange:l}=e,r=Ie.v.featureToggles.secureSocksDatasourceProxy;return(0,x.jsxs)(x.Fragment,{children:[(0,x.jsx)(Ge.E,{defaultUrl:"http://localhost:3100",dataSourceConfig:s,showAccessOptions:!1,onChange:l}),r&&(0,x.jsxs)(x.Fragment,{children:[ya||(ya=(0,x.jsx)("h3",{className:"page-heading",children:"Secure Socks Proxy"})),(0,x.jsxs)("div",{className:"gf-form-group",children:[ba||(ba=(0,x.jsx)("div",{className:"gf-form-inline"})),(0,x.jsx)(He._,{labelWidth:28,label:"Enabled",tooltip:"Connect to this datasource via the secure socks proxy.",children:(0,x.jsx)(Ae.x,{value:null!==(a=s.jsonData.enableSecureSocksProxy)&&void 0!==a&&a,onChange:(0,Be.hz)(e,"enableSecureSocksProxy")})})]})]}),(0,x.jsx)(Ze.O,{options:s,onOptionsChange:l}),(0,x.jsx)("div",{className:"gf-form-group",children:(0,x.jsx)("div",{className:"gf-form-inline",children:(0,x.jsx)("div",{className:"gf-form",children:(0,x.jsx)(va,{value:s.jsonData.maxLines||"",onChange:e=>l(fa(s,e))})})})}),(0,x.jsx)(ga,{value:s.jsonData.derivedFields,onChange:e=>l(Ca(s,e))})]})})).setQueryEditorHelp(f)}}]);
//# sourceMappingURL=lokiPlugin.753a5bd735c2a0d227fd.js.map